import greenfoot.*; 
import java.awt.Color;  
import greenfoot.core.WorldHandler;  
import java.awt.Point;  
import java.awt.Toolkit;  

public class Mouse extends Conector
{
    int rn;
    int crot;
    public void act() 
    {
        MouseInfo m = Greenfoot.getMouseInfo();
        boolean gen=false;
        if(m!=null)        
            setLocation(m.getX()+4,m.getY()+4);
        if(getOneIntersectingObject(B1.class)!=null&&Greenfoot.mouseClicked(this))
            Greenfoot.setWorld(new Level1());  
        if(getOneIntersectingObject(B2.class)!=null&&Greenfoot.mouseClicked(this))
            Greenfoot.setWorld(new Tutorial()); 
        if(getOneIntersectingObject(Sb1.class)!=null&&Greenfoot.mouseClicked(this))
            Greenfoot.setWorld(new Menu());  
        cursorDissapear();
}        
    public void addedToWorld(World world)
    {
        GreenfootImage image = new GreenfootImage(20, 20);  
        image.setColor(new Color(90,90,110,200));
        int[] xs = { 0, 5, 10};  
        int[] ys = { 10, 0, 10 };  
        image.fillPolygon(xs, ys, 3);  
        setImage(image);
}
public void cursorDissapear() {  
        WorldHandler.getInstance().getWorldCanvas().setCursor(Toolkit.getDefaultToolkit().createCustomCursor(new GreenfootImage(1, 1).getAwtImage(), new Point(0, 0), "invisibleCursor"));  
    } 
}
